Bug 873471 (JON3-63, PRODMGT-126) - RFE: Add ability to inject property values for use with template token substitution
Summary: RFE: Add ability to inject property values for use with template token substi...
Status: CLOSED CURRENTRELEASE
Alias: JON3-63, PRODMGT-126
Product: JBoss Operations Network
Classification: JBoss
Component: No Component
Version: JON 3.1.1
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ER04
: JON 3.3.0
Assignee: Lukas Krejci
QA Contact: Matt Mahoney
URL:
Whiteboard:
Keywords:
Depends On: 1144518
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-05 23:38 UTC by Charles Crouch
Modified: 2018-12-05 15:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:02:51 UTC


Attachments (Terms of Use)
Files used in the demo. These can be used for testing. (3.60 KB, application/zip)
2014-10-01 17:47 UTC, Mike Foley
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 72433 None None None Never
JBoss Issue Tracker JON3-63 Major Closed Add ability to inject property values for use with template token substitution 2015-08-13 18:45:42 UTC
JBoss Issue Tracker PRODMGT-126 Major Closed Add ability to inject property values for use with template token substitution 2015-08-13 18:45:42 UTC

Description Charles Crouch 2012-11-05 23:38:58 UTC
BZ to implement https://issues.jboss.org/browse/PRODMGT-126

Comment 1 Lukas Krejci 2014-07-02 15:32:04 UTC
This is in master for RHQ 4.12

commit ba0c4d30a782599e9377aa21667452490f0442cb
Merge: 4b60771 d1c0a1a
Author: Thomas Segismont <tsegismont@gmail.com>
Date:   Tue Jul 1 15:55:21 2014 +0200

    Merge pull request #67 from metlos/bug/873471
    
    [BZ 873471] Token replacement takes into account <property> properties

Comment 6 Lukas Krejci 2014-09-19 21:13:35 UTC
The BZ 1144518 (that tracks a bug found in this feature) has been set to MODIFIED, so setting this to MODIFIED, too.

Comment 7 Lukas Krejci 2014-10-01 16:04:09 UTC
master: 10795bd4327a09cf763e02b3afae72c7b5a45841
release/jon3.3.x: c353529cd1e182c074e09fbd2072eaa5963c5169
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Wed Oct 1 18:02:29 2014 +0200

    [BZ 873471] - Correctly resolve relative paths against not-yet existing deploy dirs.
    
    (cherry picked from commit 10795bd4327a09cf763e02b3afae72c7b5a45841)

Comment 10 Mike Foley 2014-10-01 17:47:20 UTC
Created attachment 943162 [details]
Files used in the demo.  These can be used for testing.

Comment 12 Simeon Pinder 2014-10-01 21:33:21 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 14 JBoss JIRA Server 2014-10-07 18:13:21 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-63 to Resolved

Comment 16 JBoss JIRA Server 2015-02-09 22:02:57 UTC
Larry O'Leary <loleary@redhat.com> updated the status of jira JON3-63 to Closed


Note You need to log in before you can comment on or make changes to this bug.